image: docker:17.05

services:
 - name: docker:dind


stages:
 - master
 - slave

before_script:
    - source variables/.${CI_COMMIT_REF_NAME}.env

install:
  stage: master
  script:
    - apk update
    - apk add python3
  except:
    - merge_requests

nick:
  stage: master
  script:
    - echo $CI_SERVER_URL
    - echo $FTP_PASS
  except:
    - merge_requests

wooster:
  stage: slave
  script:
    - echo $CI_SERVER_URL
    - echo $FTP_PASS
  except:
    - merge_requests

